--
-- VHDL Architecture FACT_FAD_TB_lib.FAD_rs485_receiver_tester.beha
--
-- Created:
--          by - daqct3.UNKNOWN (IHP110)
--          at - 10:58:39 10.06.2011
--
-- using Mentor Graphics HDL Designer(TM) 2009.1 (Build 12)
--
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_arith.ALL;
LIBRARY fact_fad_lib;
USE fact_fad_lib.fad_rs485_constants.ALL;
USE ieee.std_logic_unsigned.all;

ENTITY FAD_rs485_receiver_tester IS
   PORT( 
      rec_dout            : IN     std_logic_vector (RX_WIDTH - 1 DOWNTO 0);
      rec_timeout_occured : IN     std_logic;
      rec_valid           : IN     std_logic;
      rx_en               : IN     std_logic;
      tx_d                : IN     std_logic;
      tx_en               : IN     std_logic;
      rec_start           : OUT    std_logic;
      rx_d                : OUT    std_logic
   );

-- Declarations

END FAD_rs485_receiver_tester ;

--
ARCHITECTURE beha OF FAD_rs485_receiver_tester IS
BEGIN
END ARCHITECTURE beha;

